diff --git a/fluid/Fl_Type.cxx b/fluid/Fl_Type.cxx
index c3844fc..e2165b2 100644
--- a/fluid/Fl_Type.cxx
+++ b/fluid/Fl_Type.cxx
@@ -242,9 +242,9 @@ int Widget_Browser::item_height(void *l) const {
   Fl_Type *t = (Fl_Type*)l;
   if (t->visible) {
     if (show_comments && t->comment())
-      return textsize()*2+1;
+      return textsize()*2+1+3;
     else
-      return textsize()+2;
+      return textsize()+2+3;
   }
   return 0;
 }
@@ -286,14 +286,19 @@ extern const char* subclassname(Fl_Type*);
 void Widget_Browser::item_draw(void *v, int X, int Y, int, int) const {
   // cast to a more general type
   Fl_Type *l = (Fl_Type *)v;
-    
+
+  // calculate the horizontal start position and width of the separator line
+  int x_offs = 3 + 13 + 18 + l->level * 12; // see below for description
+  int x1 = X + x_offs; // use 'x1 = X;' for full width line
+  int w1 = w() - x1;
+
   // calculate the horizontal start position of this item
   // 3 is the edge of the browser
   // 13 is the width of the arrow that indicates children for the item
   // 18 is the width of the icon
   // 12 is the indent per level
   X += 3 + 13 + 18 + l->level * 12;
-  
+
   // items can contain a comment. If they do, the comment gets a second text
   // line inside this browser line
   int comment_incr = 0;
@@ -391,6 +396,13 @@ void Widget_Browser::item_draw(void *v, int X, int Y, int, int) const {
     fl_font(textfont() | (l->is_code_block() && (l->level==0 || l->parent->is_class())?0:FL_BOLD), textsize());
     fl_draw(buf, X, Y+13);
   }
+  // draw a thin line below the item if this item is not selected
+  if (!l->new_selected /*&& !l->selected*/) {
+    // Fl_Color c = fl_color();
+    fl_color(fl_lighter(FL_GRAY));
+    fl_line(x1,Y+16,x1+w1,Y+16);
+    // fl_color(c);
+  }
 }
 
 int Widget_Browser::item_width(void *v) const {
